Page MenuHomePhabricator

Use GitHub Repository for Fundraising Frontend contents
Closed, ResolvedPublic

Description

We will move the templates out of our MediaWiki instance and into a Github repository at https://github.com/wmde/fundraising-frontend-content

The design document outlining the reason for the changes is at https://docs.google.com/document/d/19J6hvSp2Ad4OX6GzPo_vWTQORgQLxBAHK7NfQ7oDGZU

The final repository folder structure should look like this (with some example files):

de_DE/
    messages.json
    labels.json
    payment_types.json
    pages/
        impressum.html.twig
        datenschutz.html.twig
en_US/
    messages.json
    labels.json
    payment_types.json
    pages/
        impressum.html.twig
        datenschutz.html.twig
qq_QQ/
    messages.json
    labels.json
    payment_types.json
    pages/
        impressum.html.twig
        datenschutz.html.twig

Related Objects

StatusAssignedTask
Resolvedkai.nissen
Resolvedgabriel-wmde
Resolvedgabriel-wmde
ResolvedPablo-WMDE
Resolvedgabriel-wmde
ResolvedPablo-WMDE
Resolvedgabriel-wmde
ResolvedPablo-WMDE
ResolvedPablo-WMDE
Resolvedgabriel-wmde
DeclinedNone
DeclinedNone
ResolvedPablo-WMDE
ResolvedNone
ResolvedPablo-WMDE
ResolvedPablo-WMDE
ResolvedNone
ResolvedPablo-WMDE
ResolvedNone
ResolvedPablo-WMDE
ResolvedPablo-WMDE
ResolvedPablo-WMDE
ResolvedPablo-WMDE
ResolvedPablo-WMDE

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2017, 2:08 PM
gabriel-wmde updated the task description. (Show Details)Feb 8 2017, 4:52 PM
gabriel-wmde updated the task description. (Show Details)Feb 8 2017, 5:01 PM
kai.nissen moved this task from Backlog to Doing on the WMDE-FUN-Team board.Mar 23 2017, 11:47 AM
gabriel-wmde moved this task from Doing to Backlog on the WMDE-FUN-Team board.Apr 6 2017, 5:27 PM
gabriel-wmde edited projects, added Epic; removed Story.Apr 7 2017, 10:05 AM
gabriel-wmde moved this task from Backlog to Epics on the WMDE-Fundraising-Tech board.
gabriel-wmde renamed this task from Move Fundraising Frontend templates to GitHub Repository to Use GitHub Repository for Fundraising Frontend contents.Apr 7 2017, 11:38 AM
gabriel-wmde updated the task description. (Show Details)
kai.nissen closed this task as Resolved.Jan 5 2018, 11:33 AM
kai.nissen claimed this task.